:root {
  --background: hsl(90 25.0000% 96.8627%);
  --foreground: hsl(124.6154 12.6214% 20.1961%);
  --card: hsl(0 0% 100%);
  --card-foreground: hsl(124.6154 12.6214% 20.1961%);
  --popover: hsl(0 0% 100%);
  --popover-foreground: hsl(124.6154 12.6214% 20.1961%);
  --primary: hsl(112.2581 15.4229% 60.5882%);
  --primary-foreground: hsl(0 0% 100%);
  --secondary: hsl(40.7299 61.4350% 56.2745%);
  --secondary-foreground: hsl(0 0% 100%);
  --muted: hsl(93.3333 21.9512% 91.9608%);
  --muted-foreground: hsl(116.8421 8.2251% 45.2941%);
  --accent: hsl(40.7299 61.4350% 56.2745%);
  --accent-foreground: hsl(0 0% 100%);
  --destructive: hsl(0 84.2365% 60.1961%);
  --destructive-foreground: hsl(0 0% 100%);
  --border: hsl(105.0000 15.7895% 85.0980%);
  --input: hsl(105.0000 15.7895% 85.0980%);
  --ring: hsl(112.2581 15.4229% 60.5882%);
  --chart-1: hsl(112.2581 15.4229% 60.5882%);
  --chart-2: hsl(40.7299 61.4350% 56.2745%);
  --chart-3: hsl(110.0000 18.1818% 74.1176%);
  --chart-4: hsl(27.4468 46.0784% 60%);
  --chart-5: hsl(131.6667 14.4000% 49.0196%);
  --sidebar: hsl(93.3333 21.9512% 91.9608%);
  --sidebar-foreground: hsl(124.6154 12.6214% 20.1961%);
  --sidebar-primary: hsl(112.2581 15.4229% 60.5882%);
  --sidebar-primary-foreground: hsl(0 0% 100%);
  --sidebar-accent: hsl(40.7299 61.4350% 56.2745%);
  --sidebar-accent-foreground: hsl(0 0% 100%);
  --sidebar-border: hsl(105.0000 15.7895% 85.0980%);
  --sidebar-ring: hsl(112.2581 15.4229% 60.5882%);
  --font-sans: Cormorant Garamond, serif;
  --font-sans-ar: Amiri, serif;
  --font-serif: Playfair Display, serif;
  --font-serif-ar: Amiri, serif;
  --font-mono: monospace;
  --radius: 1rem;
  --shadow-x: 0px;
  --shadow-y: 4px;
  --shadow-blur: 12px;
  --shadow-spread: 0px;
  --shadow-opacity: 0.08;
  --shadow-color: #2d3a2e;
  --shadow-2xs: 0px 4px 12px 0px hsl(124.6154 12.6214% 20.1961% / 0.04);
  --shadow-xs: 0px 4px 12px 0px hsl(124.6154 12.6214% 20.1961% / 0.04);
  --shadow-sm: 0px 4px 12px 0px hsl(124.6154 12.6214% 20.1961% / 0.08), 0px 1px 2px -1px hsl(124.6154 12.6214% 20.1961% / 0.08);
  --shadow: 0px 4px 12px 0px hsl(124.6154 12.6214% 20.1961% / 0.08), 0px 1px 2px -1px hsl(124.6154 12.6214% 20.1961% / 0.08);
  --shadow-md: 0px 4px 12px 0px hsl(124.6154 12.6214% 20.1961% / 0.08), 0px 2px 4px -1px hsl(124.6154 12.6214% 20.1961% / 0.08);
  --shadow-lg: 0px 4px 12px 0px hsl(124.6154 12.6214% 20.1961% / 0.08), 0px 4px 6px -1px hsl(124.6154 12.6214% 20.1961% / 0.08);
  --shadow-xl: 0px 4px 12px 0px hsl(124.6154 12.6214% 20.1961% / 0.08), 0px 8px 10px -1px hsl(124.6154 12.6214% 20.1961% / 0.08);
  --shadow-2xl: 0px 4px 12px 0px hsl(124.6154 12.6214% 20.1961% / 0.20);
  --tracking-normal: 0.02em;
  --spacing: 0.25rem;
}


@theme inline {
  --color-background: var(--background);
  --color-foreground: var(--foreground);
  --color-card: var(--card);
  --color-card-foreground: var(--card-foreground);
  --color-popover: var(--popover);
  --color-popover-foreground: var(--popover-foreground);
  --color-primary: var(--primary);
  --color-primary-foreground: var(--primary-foreground);
  --color-secondary: var(--secondary);
  --color-secondary-foreground: var(--secondary-foreground);
  --color-muted: var(--muted);
  --color-muted-foreground: var(--muted-foreground);
  --color-accent: var(--accent);
  --color-accent-foreground: var(--accent-foreground);
  --color-destructive: var(--destructive);
  --color-destructive-foreground: var(--destructive-foreground);
  --color-border: var(--border);
  --color-input: var(--input);
  --color-ring: var(--ring);
  --color-chart-1: var(--chart-1);
  --color-chart-2: var(--chart-2);
  --color-chart-3: var(--chart-3);
  --color-chart-4: var(--chart-4);
  --color-chart-5: var(--chart-5);
  --color-sidebar: var(--sidebar);
  --color-sidebar-foreground: var(--sidebar-foreground);
  --color-sidebar-primary: var(--sidebar-primary);
  --color-sidebar-primary-foreground: var(--sidebar-primary-foreground);
  --color-sidebar-accent: var(--sidebar-accent);
  --color-sidebar-accent-foreground: var(--sidebar-accent-foreground);
  --color-sidebar-border: var(--sidebar-border);
  --color-sidebar-ring: var(--sidebar-ring);

  --font-sans: var(--font-sans);
  --font-mono: var(--font-mono);
  --font-serif: var(--font-serif);
  --font-sans-ar: var(--font-sans-ar);
  --font-serif-ar: var(--font-serif-ar);

  --radius-sm: calc(var(--radius) - 4px);
  --radius-md: calc(var(--radius) - 2px);
  --radius-lg: var(--radius);
  --radius-xl: calc(var(--radius) + 4px);

  --shadow-2xs: var(--shadow-2xs);
  --shadow-xs: var(--shadow-xs);
  --shadow-sm: var(--shadow-sm);
  --shadow: var(--shadow);
  --shadow-md: var(--shadow-md);
  --shadow-lg: var(--shadow-lg);
  --shadow-xl: var(--shadow-xl);
  --shadow-2xl: var(--shadow-2xl);

  --tracking-tighter: calc(var(--tracking-normal) - 0.05em);
  --tracking-tight: calc(var(--tracking-normal) - 0.025em);
  --tracking-normal: var(--tracking-normal);
  --tracking-wide: calc(var(--tracking-normal) + 0.025em);
  --tracking-wider: calc(var(--tracking-normal) + 0.05em);
  --tracking-widest: calc(var(--tracking-normal) + 0.1em);
}

body {
  letter-spacing: var(--tracking-normal);
}
